OPTIONS PYTHONHOME = 'F:\ProgramData\anaconda3';

DATA sasuser.v_prdsale / VIEW = sasuser.v_prdsale;
  SET sashelp9.prdsale;
  LENGTH yyq $6;
  yyqtr = year + (quarter - 1) / 4;
  mon = MONTH(month);
  yyq = PUT(month, YYQ6.);
  yq = INTCK('QTR', '31dec1992'd, month);
  SELECT (country);
    WHEN ('U.S.A.') cntry = 'USA';
    WHEN ('GERMANY') cntry = 'DE';
    WHEN ('CANADA') cntry = 'CA';
    OTHERWISE;
  END;
RUN;
PROC SUMMARY DATA = sasuser.v_prdsale MISSING NWAY;
  CLASS cntry yq product;
  VAR actual;
  OUTPUT OUT = prdsale SUM =;
RUN;
PROC PRINT DATA = prdsale;
  TITLE 'PRDSALE summary';
RUN;

ODS ESCAPECHAR='^';
ODS HTML FILE = "./python_plotly_WPS.html"
         STYLE = minimal GPATH = "./images"
         GTITLE GFOOTNOTE;

PROC PYTHON TERMINATE;
  EXPORT DATA = prdsale PYTHON = sasdata;
  SUBMIT;
import plotly.express as px
print(sasdata)
fig = px.scatter(sasdata, x="yq", y="ACTUAL",
  facet_col="PRODUCT", facet_col_spacing=0.02,
  facet_row="cntry", facet_row_spacing=0.02,
  height=600, width=800,
  trendline="lowess",
  title="Plotted using Python")
fig.for_each_annotation(
  lambda a: a.update(text=a.text.split("=")[-1]))
fig.for_each_yaxis(lambda y: y.update(title=" "))
fig.add_annotation(x=-0.1, y=0.5,
  text="Actual Sales ($)", showarrow=False, textangle=-90,
  xref="paper", yref="paper")
fig.for_each_xaxis(lambda x:
    x.update(title=" "))
fig.add_annotation(x=0.5, y=-0.1,
  text="Sales Quarter", showarrow=False,
  xref="paper", yref="paper")
fig.show()
  ENDSUBMIT;
RUN;

ODS HTML CLOSE;