OPTIONS SET = R_HOME 'F:\Program Files\R\R-4.3.0';

DATA sasuser.v_prdsale / VIEW = sasuser.v_prdsale;
  SET sashelp9.prdsale;
  LENGTH yyq $6;
  yyqtr = year + (quarter - 1) / 4;
  mon = MONTH(month);
  yyq = PUT(month, YYQ6.);
  yq = INTCK('QTR', '31dec1992'd, month);
  SELECT (country);
    WHEN ('U.S.A.') cntry = 'USA';
    WHEN ('GERMANY') cntry = 'DE';
    WHEN ('CANADA') cntry = 'CA';
    OTHERWISE;
  END;
RUN;
PROC SUMMARY DATA = sasuser.v_prdsale MISSING NWAY;
  CLASS cntry yq product;
  VAR actual;
  OUTPUT OUT = prdsale SUM =;
RUN;
PROC PRINT DATA = prdsale;
  TITLE 'PRDSALE summary';
RUN;

ODS ESCAPECHAR='^';
ODS HTML FILE = "./r_xyplot_WPS.html" STYLE = minimal
         GTITLE GFOOTNOTE GPATH = "./images";

PROC R TERMINATE;
  EXPORT DATA = prdsale R = sasdata;
  SUBMIT;
    library(lattice)
    print(sasdata)
    trellis.par.set(theme = col.whitebg())
    trellis.par.set('background', list(col = 'white'))
    trellis.par.set('plot.symbol', list(col = 'blue'))
    trellis.par.set('dot.symbol', list(col = 'blue'))
    trellis.par.set('axis.line', list(col = 'red'))
    trellis.par.set('box.rectangle',
                    list(col = 'red'))
    trellis.par.set('par.xlab.text',
                    list(col = 'green'))
    trellis.par.set('par.ylab.text',
                    list(col = 'green'))
    trellis.par.set('par.zlab.text',
                    list(col = 'green'))
    trellis.par.set('axis.text', list(col = 'green'))
    xyplot(ACTUAL ~ yq | PRODUCT * cntry,
      data = sasdata,
      xlab = 'Quarter',
      ylab = 'Actual Sales',
      panel = function(x, y) {
        panel.grid(h = -1, v = -1)
        panel.xyplot(x, y)
        panel.loess(x, y, span = 1, degree = 2)
      },
      main = 'Plotted using R'
    )
  ENDSUBMIT;
RUN;

ODS HTML CLOSE;